DirectAdmin centos6安装教程_2016版

2016年2月10日 7.16k 次阅读 1 条评论 1 人点赞

下载官方脚本执行安装

wget http://www.directadmin.com/setup.sh
chmod 755 setup.sh
./setup.sh

提示是否需要执行脚本预安装必须的第三方软件包  输入 y

*****************************************************
*
* DirectAdmin requires certain packages, described here:
*   http://help.directadmin.com/item.php?id=354
*
* Would you like to install these required pre-install packages? (y/n): y

安装完毕第三方的包以后  会要求输入用户ID  授权ID 主机名 选择网卡

Complete!
*
*****************************************************
Please enter your Client ID : 111
Please enter your License ID : 111
Please enter your hostname (server.domain.com)
It must be a Fully Qualified Domain Name
Do *not* use a domain you plan on using for the hostname:
eg. don't use domain.com. Use server.domain.com instead.
Do not enter http:// or www
Enter your hostname (FQDN) : testda.vpsmao.com
Client ID:  111     
License ID: 111
Hostname: testda.vpsmao.com
Is this correct? (y,n) : y
The following ethernet devices/IPs were found. Please enter the name of the device you wish to use:
gretap0       
gre0       
ip6tnl0       
venet0       127.0.0.1
venet0:0       192.184.95.151
Enter the device name: venet0:0
Your external IP: 192.x.x.x
The external IP should typically match your license IP.
Is 192.x.x.x the IP in your license? (y,n) : y
DirectAdmin will now be installed on: Enterprise 6.6
Is this correct? (must match license) (y,n) : y

Client ID 和 License ID 请参见授权信息里面.
Hostname 主机名 必须是一个能解析访问有效的二级域名.
Enter the device name 网卡设备: OpenVZ一般是 venet0 或者 venet0:0,XEN KVM 独立服务器 的网卡是eth0或者eth1 ,具体看网卡设备后面是否是本机使用的IP
确认设备 以后 会提示 IP和操作系统是否正确   选择 y
接下来是选择自定义安装的版本  目前建议使用custombuild 2.0 , 需要php5.2的请选择 custombuild 1.2 ,
本教程使用 custombuild 2.0 选择 1

You now have 4 options for your apache/php setup.
1: custombuild 2.0       Apache 2.4, mod_ruid2, php 5.5. Can be set to use mod_php, php-FPM or fastcgi.
2: custombuild 1.1:      end-of-life software.  Apache 2.x, php 4, 5, or both in cli and/or suphp. Defaults to php 5.2
3: custombuild 1.2:      Production version: Apache 2.x, php 5 in cli or suphp. Defaults to php 5.3
4: custombuild 2.0 BETA: Apache 2.4, php-fpm, php 5.6. Can be set to use mod_ruid2, mod_php, php-FPM or fastcgi.
      Post any issues with custombuild to the forum: http://forum.directadmin.com/forumdisplay.php?f=61
Enter your choice (1, 2, 3 or 4): 1
Would you like the default settings of apache 2.4 with mod_ruid2 and php 5.5 cli? (y/n): n

提示选择默认的版本  这里我们选择 n 因为 cli 版本没有隔离用户和站点 我们需要在下面选择

Would you like the default settings of apache 2.4 with mod_ruid2 and php 5.5 cli? (y/n): n

提示是否备份配置文件  输入  yes

Would you like to backup the current options.conf? (yes/no): yes
Backup created: /usr/local/directadmin/custombuild/options.conf.20151105102436.backup

选择 WEB 服务程序  ,一般为了兼容性我们选择 apache ,如果有别的需求,建议选择nginx_apache 这个兼容性比较好,litespeed 需要商业授权,否则是免费版,限制很多.

Please select webserver you would like to use (apache/nginx/nginx_apache/litespeed):apache

选择 FTP 服务程序,一般我们选择 proftpd ,选择 pureftpd 可以,都是DA后台在控制生成ftp信息

Please select FTP server you would like to use (proftpd/pureftpd/no):proftpd

接下来选择 PHP 版本。支持 php5.3~7.0,请根据自己的需求选择
PHP 运行模式,我们选择 suphp
是否安装第2个版本的PHP  输入 no  我们可以在安装完毕以后使用 CustomBuild 插件进行配置多版本php.

Please select default PHP version you would like to use (5.3/5.4/5.5/5.6/7.0):5.3
Please select default PHP mode you would like to use (php-fpm/fastcgi/suphp/lsphp/mod_php):suphp
Would you like to have a second instance of PHP installed? (yes/no): no

接下来是常用组件,
一般 ionCube  和 Zend Guard Loader 是必选的,输入  yes
suhosin PHP安全修复组件  必选 yes
phpMyAdmin   必选 yes
其他几个组件是email的  根据需求自选

Please select if you would like to use ionCube (yes/no):yes
Please select if you would like to use Zend Guard Loader (yes/no):yes
Please select if you would like to use suhosin (yes/no):yes
Please select if you would like CustomBuild to manage Exim installation (yes/no):no
Please select if you would like CustomBuild to manage Dovecot installation (yes/no):no
Please select if you would like CustomBuild to manage phpMyAdmin installation (yes/no):yes
Please select if you would like CustomBuild to manage SquirrelMail installation (yes/no):no
Please select if you would like CustomBuild to manage RoundCube installation (yes/no):no

接下来 是否测试选择最快的镜像  y

Would you like to search for the fastest download mirror? (y/n): y

接下来开始自动安装 MYSQL会自动安装为 5.5版本 ,后面都可以使用 CustomBuild 插件来自定义选择版本
等待15~30分钟左右就安装完毕了,安装完毕以后会提示后台登录地址和帐号密码

## INSTALL_COMPLETE
## ACCOUNT_INFO
The following information has been set:
Admin username:   admin
Admin password:   Axxxxxx2
Admin email:      admin@testda.vvv.com
Server IP: 192.x.x.x
Server Hostname: testda.vvv.com
To login now, follow this link:
http://192.x.x.x:2222
and enter your Admin username and password when prompted.
You should now visit http://admin.site-helper.com and http://www.directadmin.com/newinstall.html to learn how to get started.
Thank you for using DirectAdmin.  Should you have any questions, don't hesitate to contact us at support@directadmin.com
## REPORT_END
Permissions set
System Security Tips:
  http://help.directadmin.com/item.php?id=247
标签: 暂无
最后编辑:2016年2月10日

You are a dream which occupies all my life!

文章评论(1)

  • 小海

    大佬,请问一下使用custombuild 2.0怎么配置php版本选择器?

    2018年3月24日